Bug 248386 - devel/llvm10: (and newer) backport --target fix for libc++
Summary: devel/llvm10: (and newer) backport --target fix for libc++
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-31 12:10 UTC by Greg V
Modified: 2020-08-10 21:10 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2020-07-31 12:10:13 UTC
Can we get https://reviews.freebsd.org/D24420 (devel/llvm90/files/clang/patch-D77776) copied into llvm10, llvm11, llvm-devel? kind of an important fix..
Comment 1 Brooks Davis freebsd_committer 2020-07-31 23:33:38 UTC
Thanks for the report!

I've got the files copied over and will fix in separate commits (for llvm11 and llvm-devel I'll do it along with updates to avoid gratuitous rebuilds.)  I believe if can always be worked around by using -target freebsd12-unknown-freebsd or the like.
Comment 2 commit-hook freebsd_committer 2020-08-05 22:14:43 UTC
A commit references this bug:

Author: brooks
Date: Wed Aug  5 22:14:17 UTC 2020
New revision: 544246
URL: https://svnweb.freebsd.org/changeset/ports/544246

Log:
  Minor fixes.

  Unbreak OPENMP in some cases.

  Fix C++ library selection for some target values.

  PR:		248384, 248386
  Submitted by:	Greg V
  Differential Revision:	https://reviews.freebsd.org/D24420

Changes:
  head/devel/llvm10/Makefile
  head/devel/llvm10/files/clang/patch-D77776
  head/devel/llvm10/files/openmp/
  head/devel/llvm10/files/openmp/patch-ea99c09
Comment 3 commit-hook freebsd_committer 2020-08-05 23:48:58 UTC
A commit references this bug:

Author: brooks
Date: Wed Aug  5 23:48:30 UTC 2020
New revision: 544253
URL: https://svnweb.freebsd.org/changeset/ports/544253

Log:
  Fix build with more than one version of Python 3.x installed. [0]

  Fix C++ library selection with certain targets. [1]

  PR:		248386 [1], 248488 [0]
  Submitted by:	Greg V [1], John Hein [0]

Changes:
  head/devel/llvm11/Makefile
  head/devel/llvm11/files/clang/patch-D77776
Comment 4 commit-hook freebsd_committer 2020-08-10 21:08:27 UTC
A commit references this bug:

Author: brooks
Date: Mon Aug 10 21:08:06 UTC 2020
New revision: 544647
URL: https://svnweb.freebsd.org/changeset/ports/544647

Log:
  Update to a more recent snapshot.

  Fix C++ library selection for some --target values. [0]

  PR:		248386 [0]
  Reported by:	Greg V [0]

Changes:
  head/devel/llvm-devel/Makefile
  head/devel/llvm-devel/Makefile.COMMANDS
  head/devel/llvm-devel/Makefile.snapshot
  head/devel/llvm-devel/distinfo
  head/devel/llvm-devel/files/gen-Makefile.snapshot.sh
  head/devel/llvm-devel/files/patch-D77776
  head/devel/llvm-devel/pkg-plist
Comment 5 Brooks Davis freebsd_committer 2020-08-10 21:10:01 UTC
Merged to llvm10, llvm11, and llvm-devel.